;---------------------------------------------------------------    
;irqsdata.inc screen data for FINDIRQ Utility                  |
;--------------------------------------------------------------|
;FINDIRQ Copyright (c) 1993                                    |
;                                                              |
;Rick Knoblaugh All rights reserved.                           |
;First Appeared in PC MAGAZINE, US Edition,                    |
;September 28, 1993                                            |
;--------------------------------------------------------------|
; 4/17/93                      Rick Knoblaugh                  |
;--------------------------------------------------------------|

help_screen     label   byte
	db     1,1,31,  "                                                                                ", STR_TERM
	db     1,2,31,  " ͻ ", STR_TERM
	db     1,3,31,  " ", STR_TERM
	db     3,3,63,  "                                                                            ", STR_TERM
	db     79,3,31,  " ", STR_TERM
	db     1,4,31,  " ", STR_TERM
	db     3,4,63,  "  ", STR_TERM
	db     5,4,79,  "Ŀ", STR_TERM
	db     24,4,63, "     ", STR_TERM
	db     29,4,31, "FINDIRQ - Utility for displaying IRQ information", STR_TERM
	db     77,4,63, "  ", STR_TERM
	db     79,4,31, " ", STR_TERM
	db     1,5,31,  " ", STR_TERM
	db     3,5,63,  "  ", STR_TERM
	db     5,5,79,  "Ĵ", STR_TERM
	db     24,5,63, "                                                       ", STR_TERM
	db     79,5,31, " ", STR_TERM
	db     1,6,31,  " ", STR_TERM
	db     3,6,63,  "  ", STR_TERM
	db     5,6,79,  "Ĵ", STR_TERM
	db     24,6,63, "     Usage: FINDIRQ /h - Displays this help screen.    ", STR_TERM
	db     79,6,31, " ", STR_TERM
	db     1,7,31,  " ", STR_TERM
	db     3,7,63,  "  ", STR_TERM
	db     5,7,79,  "Ĵ", STR_TERM
	db     24,7,63, "                                                       ", STR_TERM
	db     79,7,31, " ", STR_TERM
	db     1,8,31,  " ", STR_TERM
	db     3,8,63,  "  ", STR_TERM
	db     5,8,79,  "Ĵ", STR_TERM
	db     24,8,63, "                    /t - Loads FINDIRQ as a TSR.       ", STR_TERM
	db     79,8,31, " ", STR_TERM
	db     1,9,31,  " ", STR_TERM
	db     3,9,63,  "  ", STR_TERM
	db     5,9,79,  "Ĵ", STR_TERM
	db     24,9,63, "                                                       ", STR_TERM
	db     79,9,31, " ", STR_TERM
	db     1,10,31, " ", STR_TERM
	db     3,10,63, "  ", STR_TERM
	db     5,10,79, "Ĵ", STR_TERM
	db     24,10,63, "                    /u - Unloads FINDIRQ if it has     ", STR_TERM
	db     79,10,31, " ", STR_TERM
	db     1,11,31, " ", STR_TERM
	db     3,11,63, "  ", STR_TERM
	db     5,11,79, "Ĵ", STR_TERM
	db     24,11,63, "                         been installed as a TSR.      ", STR_TERM
	db     79,11,31, " ", STR_TERM
	db     1,12,31, " ", STR_TERM
	db     3,12,63, "  ", STR_TERM
	db     5,12,79, " M A G A Z I N E ", STR_TERM
	db     24,12,63, "                                                       ", STR_TERM
	db     79,12,31, " ", STR_TERM
	db     1,13,31, " ", STR_TERM
	db     3,13,63, "  ", STR_TERM
	db     5,13,79,  "", STR_TERM
	db     24,13,63, "                    /i - Initializes accumulated IRQ   ", STR_TERM
	db     79,13,31, " ", STR_TERM
	db     1,14,31, " ", STR_TERM
	db     3,14,63, "                                              activity information.         ", STR_TERM
	db     79,14,31, " ", STR_TERM
	db     1,15,31, " ", STR_TERM
	db     3,15,63,  "  FINDIRQ Version 1.0                                                       ", STR_TERM
	db     79,15,31, " ", STR_TERM
	db     1,16,31,  " ", STR_TERM
	db     3,16,63,  "  Copyright (c) 1993                        - If no switch is specified,    ", STR_TERM
	db     79,16,31, " ", STR_TERM
	db     1,17,31,  " ", STR_TERM
	db     3,17,63,  "  Rick Knoblaugh   All rights reserved.       IRQ information is displayed. ", STR_TERM
	db     79,17,31, " ", STR_TERM
	db     1,18,31,  " ", STR_TERM
	db     3,18,63,  "  First Appeared in                                                         ", STR_TERM
	db     79,18,31,  " ", STR_TERM
	db     1,19,31,  " ", STR_TERM
	db     3,19,63,  "  PC MAGAZINE, US Edition,               /d - Show IRQ as active if enabled,", STR_TERM
	db     79,19,31, " ", STR_TERM
	db     1,20,31,  " ", STR_TERM
	db     3,20,63,  "  September 28, 1993                          even if the interrupt uses a  ", STR_TERM
	db     79,20,31, " ", STR_TERM
	db     1,21,31,  " ", STR_TERM
	db     3,21,63,  "                                              default handler (this option  ", STR_TERM
	db     79,21,31, " ", STR_TERM
	db     1,22,31,  " ", STR_TERM
	db     3,22,63,  "                                              is rarely needed).            ", STR_TERM
	db     79,22,31, " ", STR_TERM
	db     1,23,31,  " ͼ ", STR_TERM
	db      0,0,0,STR_TERM



rep_top         disp_data2      <14,3,63, top_line_str>
                disp_data2      <14,4,63, title_line1_str>
                disp_data2      <14,5,63, title_line2_str>
                disp_data2      <0,0,0,0>

DISP_BEG_ROW    equ     6               ;detail lines start at 6th row

det_line        disp_data2      <14, DISP_BEG_ROW, 63, det_line_str>
                disp_data2      <0,0,0,0>

bot_line        disp_data2      <14,7,63, bot_line_str>
                disp_data2      <0,0,0,0>
        

wrk_line        disp_data2      <0, 0, 63, 0>
                disp_data2      <0,0,0,0>


rel_line        disp_data2      <1, 7, 113, res_text1>
                disp_data2      <1, 8, 113, res_text2>
                disp_data2      <1, 9, 113, res_text3>
                disp_data2      <0,0,0,0>

press_esc       disp_data2      <31, 23, 31, press_esc_str>
help_msg        disp_data2      <19, 24, 31, for_help_str>
                disp_data2      <0,0,0,0>


res_text1       db              "  FINDIRQ  ", STR_TERM
res_text2       db              "    is     ", STR_TERM
res_text3       db              " resident  ", STR_TERM

press_esc_str   db              "Press <Esc> to exit.", STR_TERM

for_help_str    db              "For help, execute FINDIRQ with ""/H"" switch.", STR_TERM



;offsets of descriptions for devices
device_desc     device_desc_off <,,,>           ;descriptions for IRQ0 devices
                device_desc_off <,,,>           ;irq1
                device_desc_off <,,,>           ;irq2
                device_desc_off <,,,>           ;irq3
                device_desc_off <,,,>           ;irq4
                device_desc_off <,,,>           ;irq5
                device_desc_off <,,,>           ;irq6
                device_desc_off <,,,>           ;irq7
                device_desc_off <,,,>           ;irq8
                device_desc_off <,,,>           ;irq9
                device_desc_off <,,,>           ;irq10
                device_desc_off <,,,>           ;irq11
                device_desc_off <,,,>           ;irq12
                device_desc_off <,,,>           ;irq13
                device_desc_off <,,,>           ;irq14
                device_desc_off <,,,>           ;irq15

;
;Tables of descriptions of devices used by the standard
;IRQ assignments.
;

pc_std_dev      dw      timer_desc
                dw      kbd_desc
                dw      0
                dw      com2_desc
                dw      com1_desc
                dw      hd_desc
                dw      flop_desc
                dw      lpt1_desc

at_std_dev      dw      timer_desc
                dw      kbd_desc
                dw      cas_desc
                dw      com2_desc
                dw      com1_desc
                dw      lpt2_desc 
                dw      flop_desc
                dw      lpt1_desc
                dw      clock_desc
                dw      redir_desc        
                dw      0
                dw      0
                dw      0
                dw      math_desc
                dw      hd_desc
                dw      0
;
;Tables of descriptions of devices which always use the same
;IRQ assignments.
;

pc_basic_dev    dw      timer_desc
                dw      kbd_desc
                dw      0
                dw      0
                dw      0
                dw      hd_desc
                dw      flop_desc
                dw      0

at_basic_dev    dw      timer_desc
                dw      kbd_desc
                dw      cas_desc
                dw      0
                dw      0
                dw      0
                dw      flop_desc
                dw      0
                dw      clock_desc
                dw      redir_desc        
                dw      0
                dw      0
                dw      0
                dw      math_desc
                dw      hd_desc
                dw      0


timer_desc      db      "Timer", STR_TERM
kbd_desc        db      "Keyboard", STR_TERM
cas_desc        db      "Cascade", STR_TERM
com4_desc       db      "COM4", STR_TERM
com3_desc       db      "COM3", STR_TERM
com2_desc       db      "COM2", STR_TERM
com1_desc       db      "COM1", STR_TERM
lpt2_desc       db      "LPT2", STR_TERM
lpt1_desc       db      "LPT1", STR_TERM
flop_desc       db      "Floppy", STR_TERM
clock_desc      db      "Clock", STR_TERM
math_desc       db      "Math Co.", STR_TERM
hd_desc         db      "Hard Disk", STR_TERM
redir_desc      db      "Redir IRQ2", STR_TERM

other_desc      db      "Other", STR_TERM
vacant_desc     db      "Vacant", STR_TERM
free_desc       db      "Free", STR_TERM
inuse_desc      db      "In-Use", STR_TERM
reserv_desc     db      "Reserved", STR_TERM
mouse_desc      db      "Mouse", STR_TERM
block_desc      db      "Block Device", STR_TERM
block_abbrv     db      "BlockDev", STR_TERM

drv_desc_ptr    dw      drv_desc_area
drv_desc_area   drv_descrip 16 dup(<>)       ;hold device driver names


top_line_str    db              "Ŀ", STR_TERM
title_line1_str db              " IRQ      Standard       This System      Status  ", STR_TERM
title_line2_str db              "Ĵ", STR_TERM
det_line_str    db              "                                               ", STR_TERM       
bot_line_str    db              "", STR_TERM


invalid_swt_msg db      "Invalid switch specified", CR, LF, BEEP, DOS_STR_TERM
invalid_dos_msg db      "Must use DOS 3.0 or later", CR, LF, BEEP, DOS_STR_TERM
io_err_msg      db      "Error accessing IRQ data file", CR, LF, BEEP, DOS_STR_TERM
cant_un_msg     db      "Can't Uninstall.", CR, LF, DOS_STR_TERM
not_install_msg db      "FINDIRQ is not installed.", CR, LF, DOS_STR_TERM
uninst_ok_msg   db      "FINDIRQ successfully uninstalled.", CR, LF, DOS_STR_TERM
tsr_already_msg db      "FINDIRQ already resident.", CR, LF, DOS_STR_TERM
tsr_ok_msg      db      "FINDIRQ successfully installed.", CR, LF, DOS_STR_TERM
init_msg        db      "IRQ information initialized.", CR, LF, DOS_STR_TERM

;------end of irqsdata.inc
